package com.coob.sjts.common.stUtil.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 省厅数据平台参数配置
 */
@Configuration
@ConfigurationProperties(prefix = "sjts.server-config")
@Data
public class StPtConfig {


    /**
     * sm2私钥
     */
    public String privateKey;

    /**
     * 请求地址
     */
    public String serverUrl;

    /**
     * 应用凭证，通过数据报送系统获取
     */
    public String certificate;

    /**
     * 接入应用编号，通过数据报送系统获取
     */
    public String sendNode;

    /**
     * 交易机构编号，通过数据报送系统获取
     */
    public String txUnitNo;

    /**
     * 接收应用编号
     */
    public String ReceiveNode;

}
