package com.coob.sjts.common.tool;

import java.security.MessageDigest;

public class MD5Util {

	public final static String MD5(byte[] data){
		char hexDigits[] = {'0','1','2','3','4','5','6','7','8','9','A','B','C','D','E','F'};

		try {
			// 获得MD5摘要算法的 MessageDigest 对象
			MessageDigest mdInst = MessageDigest.getInstance("MD5");
			// 使用指定的字节更新摘要
			mdInst.update(data);
			// 获得密文
			byte[] md = mdInst.digest();
			// 把密文转换成十六进制的字符串形式
			int j = md.length;
			char str[] = new char[j * 2];
			int k = 0;
			for (int i = 0; i < j; i++) {
				byte byte0 = md[i];
				str[k++] = hexDigits[byte0 >>> 4 & 0xf];
				str[k++] = hexDigits[byte0 & 0xf];
			}
			return new String(str);
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
	}
	
	
	public final static String MD5(String s) {
		String str = null;
		try {
			byte[] btInput = s.getBytes("utf-8");
			str = MD5(btInput);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return str;
	}

/*	public static void main(String[] args) {
		System.out.println(MD5Util.MD5("<?xml version=\"1.0\" encoding=\"UTF-8\"?><request><header><app>WXZJ</app><bank>01</bank><trade>7010</trade><sn>191106000009</sn><ver>1.0</ver></header><body><ywbm>501911060000095</ywbm><zhzh>6001002003</zhzh><xqbm>370783001000023</xqbm><xqmc>测试小区（银行账户）</xqmc><xqhm>测试小区（银行账户）</xqhm></body></request>"));
	}*/
}
