package com.coob.sjts.modules.kfxy.mapper;

import com.coob.sjts.modules.kfxy.domain.KfsXwjl;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 行为记录机构表(KfsXwjl)表数据库访问层
 *
 * @author Awei
 * @since 2023-11-15 09:19:26
 */

@Mapper
public interface KfsXwjlMapper {

    /**
     * 根据企业id查询企业行为记录信息
     * @param qyid
     * @return
     */
    List<KfsXwjl> selectByQyid(Integer qyid);

    /**
     * 查询所有数据
     * @return
     */
    List<KfsXwjl> selectAllList();

    /**
     * 查询所有id大于之前id的数据
     * @param oldId
     * @return
     */
    List<KfsXwjl> selectByOldId(Integer oldId);



}

