package com.coob.sjts.modules.mis.bo;

import com.coob.sjts.modules.zhfg.domain.GrzfTj;
import com.coob.sjts.modules.zhfg.domain.GrzfTjNl;

import java.math.BigDecimal;
import java.text.DecimalFormat;

public class GrzfTjNlBo {

    private Integer ksnl;
    private Integer jznl;
    private Integer rs;
    private String xgsj;
    private Integer state;
    private Integer zrs;

    public GrzfTjNl init(){
        GrzfTjNl nl = new GrzfTjNl();
        nl.setKsnl(this.ksnl);
        nl.setJznl(this.jznl);
        nl.setRs(this.rs);

        double zb =((double)this.rs/this.zrs)*100;
        DecimalFormat df = new DecimalFormat("0.00");
        String _zb = df.format(zb);

        nl.setZb(_zb);
        nl.setXgsj(this.xgsj);
        nl.setState(1);
        return nl;
    }


    public Integer getKsnl() {
        return ksnl;
    }

    public void setKsnl(Integer ksnl) {
        this.ksnl = ksnl;
    }

    public Integer getJznl() {
        return jznl;
    }

    public void setJznl(Integer jznl) {
        this.jznl = jznl;
    }

    public Integer getRs() {
        return rs;
    }

    public void setRs(Integer rs) {
        this.rs = rs;
    }


    public String getXgsj() {
        return xgsj;
    }

    public void setXgsj(String xgsj) {
        this.xgsj = xgsj;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getZrs() {
        return zrs;
    }

    public void setZrs(Integer zrs) {
        this.zrs = zrs;
    }
}
