package com.coob.sjts.modules.mis.bo;


import com.coob.sjts.modules.mis.domain.sjts.SjtsStJglz;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * Mis库项目信息数据统计
 */
public class SjtsTjXmxxBo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer xmid;       //项目ID
    private String xmbh;        //项目编号
    private String xmmc;        //项目名称
    private String lzid;        //楼幢id
    private String lzmc;        //楼幢名称
    private Integer dzhtsl;     //电子合同数量
    private Integer zzhtsl;     //纸质合同数量


    public SjtsStJglz createJglz(){
        SjtsStJglz lz = new SjtsStJglz();
        lz.setLzid(this.lzid);
        lz.setXmbh(this.xmbh);
        lz.setXmmc(this.xmmc);
        lz.setLzmc(this.lzmc);
        lz.setJacb(BigDecimal.ZERO);
        lz.setJsjd("");
        lz.setJged(BigDecimal.ZERO);
        lz.setLcbl(BigDecimal.ZERO);
        lz.setLced(BigDecimal.ZERO);
        lz.setYe(BigDecimal.ZERO);
        lz.setZt(2);

        return lz;
    }


    public Integer getXmid() { return this.xmid; }

    public void setXmid(Integer xmid) { this.xmid = xmid; }

    public String getXmbh() { return this.xmbh; }

    public void setXmbh(String xmbh) { this.xmbh = xmbh; }

    public String getXmmc() { return this.xmmc; }

    public void setXmmc(String xmmc) { this.xmmc = xmmc; }

    public String getLzid() { return this.lzid; }

    public void setLzid(String lzid) { this.lzid = lzid; }

    public String getLzmc() { return this.lzmc; }

    public void setLzmc(String lzmc) { this.lzmc = lzmc; }

    public Integer getDzhtsl() { return this.dzhtsl; }

    public void setDzhtsl(Integer dzhtsl) { this.dzhtsl = dzhtsl; }

    public Integer getZzhtsl() { return this.zzhtsl; }

    public void setZzhtsl(Integer zzhtsl) { this.zzhtsl = zzhtsl; }
}
