package com.coob.sjts.modules.mis.controller;


import com.coob.sjts.api.stSjts.StDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("st/")
public class StController {

    @Autowired
    private StDataService stDataService;


    /**
     * 省厅数据推送全部状态
     * @throws Exception
     */
    @GetMapping("/stts")
    public void stts() throws Exception{

        stDataService.sendData();//推送项目信息、预售许可证信息、监管账户信息、网签备案信息
        System.out.println("省厅数据已推送");
        stDataService.sendDataFwWq();//推送房屋网签备案信息
        System.out.println("省厅房屋网签备案数据数据已推送");

    }


    /**
     * 省厅房屋网签备案数据推送
     * @throws Exception
     */
    @GetMapping("/stfw")
    public void stfw() throws Exception{

        stDataService.sendDataFwWq();//推送房屋网签备案信息
        System.out.println("省厅房屋网签备案数据数据已推送");

    }

    @GetMapping("/sthh")
    public void sthh() throws Exception {

        byte[] bytes = stDataService.generateSignKey();//推送项目信息、预售许可证信息、监管账户信息、网签备案信息

    }



}
