package com.coob.sjts.modules.mis.domain.sjts;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * (SjtsSnFwwqba)实体类
 * 数据推送 - 省厅 - 房屋网签备案信息
 *
 *
 * @author makejava
 * @since 2024-05-20 08:59:28
 */
public class SjtsStFwwqba implements Serializable {
    private static final long serialVersionUID = -53073362654283386L;

    private String xmbs;            //项目标识 = xmbh
    private Integer zcs;            //总层数
    private BigDecimal cg;          //层高
    private Integer dscs;           //地上层数
    private Integer dxcs;           //地下层数
    private String jgysbarq;        //竣工验收备案日期   无
    private BigDecimal pgjg;        //评估价格          无
    private String sfyd;            //税费约定          无
    private String htzyjjfs;        //合同争议解决方式  htlsb_xx.nr27fs:1=04  2=03  //01协商和解、02调解、03仲裁、04申诉、05其他
    private String fkfs;            //付款方式 04     01银行转账、02三方平台支付（微信/支付宝/信用卡等）、03现金、04其他
    private String qlxz;            //权利性质 07
    private String sjscsj;          //数据生成时间  YYYYMMDDHHMMSS
    private String sjgxsj;          //数据更新时间  YYYYMMDDHHMMSS

    private String xh;              //序号   区县行政区划代码6位+8位日期+8位自然数（确保唯一）
    private String ywbh;            //业务编号  = htbh
    private String llywlb;          //理论业务类别: 备案数据
    private String llywlbbm;        //商品房预售合同网签005 商品房现售合同网签041 //商品房预售合同备案020  商品现房转让备案056
    private String sjywlb;          //实际业务类别：商品房网签
    private String yywbh;           //上件业务编号 无
    private String jyzt;            //交易状态  01 交易已完成 02 交易将完成
    private String jyywzmzsmc;      //交易业务证明证书名称
    private String jyywzmzsmcbm;    //交易业务证明证书名称编码
    private String jyywzmzsh;       //交易业务证明证书号
    private String djywzmzsmc;      //登记业务证明证书名称：无
    private String djywzmzsmcbm;    //登记业务证明证书名称编码：无
    private String djywzmzsh;       //登记业务证明证书号：无
    private String jyzlb;           //交易者类别： 01 出让人 05 受让方
    private String jyzlbbm;         //交易者类别编码
    private String jyzqc;           //交易者全称
    private String jyzzjmc;         //交易者证件名称
    private String jyzzjmcbm;       //交易者证件名称编码 01 居民身份证 02 社会信用代码证 03 港澳台身份证  04 护照  06 军官证（士兵证） 09 永久居留证
    private String jyzzjhm;         //交易者证件号码
    private String jyzxz;           //交易者性质 01 本市城镇居民  02 本市非城镇居民 03 外省市个人  04 华侨 05 香港同胞  06 澳门同胞07 台湾同胞  08 军人09 外国个人 10 本省外市居民
    private String jyzxzbm;         //交易者性质编码
    private String jyzhj;           //交易者户籍： 无
    private String jyzhjxzqh;       //交易者户籍行政区划：有身份证号的尽量用身份证号的前6位代替，其他999999

    private String bdcdyh;          //不动产单元号
    private String fwbm;            //房屋编码
    private String fwzt;            //房屋状态
    private String xzqhdm;          //行政区划代码
    private String qx;              //区县
    private String xzjdb;           //乡镇/街道办 无
    private String jjxzqh;          //交集行政区划 无
    private String jjxzqhdm;        //交集行政区划代码999999
    private String ljx;             //路街巷 无
    private String xq;              //小区
    private String lh;              //楼号
    private Integer szqsc;          //所在起始层
    private Integer szzzc;          //所在终止层
    private String myc;             //名义层
    private String dy;              //层房序号  原单元号
    private String fh;              //房号
    private String fwzl;            //房屋坐落
    private String hxjs;            //户型居室  01 一居室   02 二居室   03 三居室   04 四居室   05 五居室，没有送99
    private String hxjsbm;          //户型居室编码
    private String hxjg;            //户型结构 无
    private String hxjgbm;          //户型结构编码 99
    private String fwcx;            //房屋朝向无
    private String fwcxbm;          //房屋朝向编码99
    private BigDecimal jzmj;        //建筑面积
    private BigDecimal tnjzmj;      //套内建筑面积
    private BigDecimal gtjzmj;      //公摊建筑面积
    private String ghyt;        //规划用途
    private String jzjg;        //建筑结构  01 钢结构  02 钢、钢筋混凝土结构 03 钢筋混凝土结构    04 混合结构 05 砖木结构   06 其他结构
    private String jzjgbm;      //建筑结构编码
    private String fwyt;        //房屋用途   001 住宅  003别墅 004 高档公寓 007工业、交通、仓储 015 商业、金融、信息 031 办公    033 其它
    private String fwytbm;      //房屋用途编码
    private String fwxz;        //房屋性质 无
    private String fwxzbm;      //房屋性质编码 99
    private String fwlx;        //房屋类型 01 住宅  02 商业用房 03 办公用房  04 工业用房 05 仓储用房  06 车库
    private String fwlxbm;      //房屋类型编码

    private String gyfs;        //共有方式 01 单独占有 02 共同共有 03 按份共有
    private String gyfsbm;      //共有方式编码
    private String szfe;        //所占份额 无
    private BigDecimal cjje;    //成交金额
    private String fklx;        //付款类型 01 无抵押一次性付款    02 无抵押分期付款  03 抵押贷款一次性付款  04 抵押贷款分期付款
    private String fklxbm;      //付款类型编码
    private String dkfs;        //贷款方式  01 商业贷款 02 公积金贷款 03 组合贷款 04 不确定  没有送04
    private String dkfsbm;      //贷款方式编码
    private String htsxrq;      //合同生效日期  2019-01-29 16:20:00
    private String ywbjsj;      //业务办结时间 2019-01-29 16:20:00
    private String ywbjrsfzh;    //业务办结人身份证号  无
    private String ywblszxzqhdm; //业务办理所在行政区划代码

    private Integer bazt;       //备案状态
    private Integer tszt;       //推送状态
    private String tssj;        //推送时间

    public SjtsStFwwqba(){}

    public SjtsStFwwqba(SjtsStFwwqba o) {
        this.xmbs = o.getXmbs();            //项目标识 = xmbh
        this.zcs = o.getZcs();              //总层数
        this.cg = o.getCg();                //层高
        this.dscs = o.getDscs();           //地上层数
        this.dxcs = o.getDxcs();           //地下层数
        this.jgysbarq = o.getJgysbarq();        //竣工验收备案日期   无
        this.pgjg = o.getPgjg();        //评估价格          无
        this.sfyd = o.getSfyd();            //税费约定          无
        this.htzyjjfs = o.getHtzyjjfs();        //合同争议解决方式  htlsb_xx.nr27fs:1=04  2=03  //01协商和解、02调解、03仲裁、04申诉、05其他
        this.fkfs = o.getFkfs();            //付款方式 04     01银行转账、02三方平台支付（微信/支付宝/信用卡等）、03现金、04其他
        this.qlxz = o.getQlxz();            //权利性质 07
        this.sjscsj = o.getSjscsj();          //数据生成时间  YYYYMMDDHHMMSS
        this.sjgxsj = o.getSjgxsj();          //数据更新时间  YYYYMMDDHHMMSS
        this.xh = o.getXh();              //序号   区县行政区划代码6位+8位日期+8位自然数（确保唯一）
        this.ywbh = o.getYwbh();            //业务编号  = htbh
        this.llywlb = o.getLlywlb();          //理论业务类别: 备案数据
        this.llywlbbm = o.getLlywlbbm();        //商品房预售合同网签005 商品房现售合同网签041 //商品房预售合同备案020  商品现房转让备案056
        this.sjywlb = o.getSjywlb();          //实际业务类别：商品房网签
        this.yywbh = o.getYywbh();           //上件业务编号 无
        this.jyzt = o.getJyzt();            //交易状态  01 交易已完成 02 交易将完成
        this.jyywzmzsmc= o.getJyywzmzsmc();      //交易业务证明证书名称
        this.jyywzmzsmcbm= o.getJyywzmzsmcbm();    //交易业务证明证书名称编码
        this.jyywzmzsh = o.getJyywzmzsh();       //交易业务证明证书号
        this.djywzmzsmc = o.getDjywzmzsmc();      //登记业务证明证书名称：无
        this.djywzmzsmcbm = o.getDjywzmzsmcbm();    //登记业务证明证书名称编码：无
        this.djywzmzsh = o.getDjywzmzsh();       //登记业务证明证书号：无
        this.jyzlb = o.getJyzlb();           //交易者类别： 01 出让人 05 受让方
        this.jyzlbbm = o.getJyzlbbm();         //交易者类别编码
        this.jyzqc = o.getJyzqc();           //交易者全称
        this.jyzzjmc = o.getJyzzjmc();         //交易者证件名称
        this.jyzzjmcbm = o.getJyzzjmcbm();       //交易者证件名称编码 01 居民身份证 02 社会信用代码证 03 港澳台身份证  04 护照  06 军官证（士兵证） 09 永久居留证
        this.jyzzjhm = o.getJyzzjhm();         //交易者证件号码
        this.jyzxz = o.getJyzxz();           //交易者性质 01 本市城镇居民  02 本市非城镇居民 03 外省市个人  04 华侨 05 香港同胞  06 澳门同胞07 台湾同胞  08 军人09 外国个人 10 本省外市居民
        this.jyzxzbm = o.getJyzxzbm();         //交易者性质编码
        this.jyzhj = o.getJyzhj();           //交易者户籍： 无
        this.jyzhjxzqh = o.getJyzhjxzqh();       //交易者户籍行政区划：有身份证号的尽量用身份证号的前6位代替，其他999999
        this.bdcdyh = o.getBdcdyh();          //不动产单元号
        this.fwbm = o.getFwbm();            //房屋编码
        this.fwzt = o.getFwzt();            //房屋状态
        this.xzqhdm = o.getXzqhdm();          //行政区划代码
        this.qx = o.getQx();              //区县
        this.xzjdb = o.getXzjdb();           //乡镇/街道办 无
        this.jjxzqh = o.getJjxzqh();          //交集行政区划 无
        this.jjxzqhdm = o.getJjxzqhdm();        //交集行政区划代码999999
        this.ljx = o.getLjx();             //路街巷 无
        this.xq = o.getXq();              //小区
        this.lh = o.getLh();              //楼号
        this.szqsc = o.getSzqsc();          //所在起始层
        this.szzzc = o.getSzzzc();          //所在终止层
        this.myc = o.getMyc();             //名义层
        this.dy = o.getDy();              //层房序号  原单元号
        this.fh = o.getFh();              //房号
        this.fwzl = o.getFwzl();            //房屋坐落
        this.hxjs = o.getHxjs();            //户型居室  01 一居室   02 二居室   03 三居室   04 四居室   05 五居室，没有送99
        this.hxjsbm = o.getHxjsbm();          //户型居室编码
        this.hxjg = o.getHxjg();            //户型结构 无
        this.hxjgbm = o.getHxjgbm();          //户型结构编码 99
        this.fwcx = o.getFwcx();            //房屋朝向无
        this.fwcxbm = o.getFwcxbm();          //房屋朝向编码99
        this.jzmj = o.getJzmj();        //建筑面积
        this.tnjzmj = o.getTnjzmj();      //套内建筑面积
        this.gtjzmj = o.getGtjzmj();      //公摊建筑面积
        this.ghyt = o.getGhyt();        //规划用途
        this.jzjg = o.getJzjg();        //建筑结构  01 钢结构  02 钢、钢筋混凝土结构 03 钢筋混凝土结构    04 混合结构 05 砖木结构   06 其他结构
        this.jzjgbm = o.getJzjgbm();      //建筑结构编码
        this.fwyt = o.getFwyt();        //房屋用途   001 住宅  003别墅 004 高档公寓 007工业、交通、仓储 015 商业、金融、信息 031 办公    033 其它
        this.fwytbm = o.getFwytbm();      //房屋用途编码
        this.fwxz = o.getFwxz();        //房屋性质 无
        this.fwxzbm = o.getFwxzbm();      //房屋性质编码 99
        this.fwlx = o.getFwlx();        //房屋类型 01 住宅  02 商业用房 03 办公用房  04 工业用房 05 仓储用房  06 车库
        this.fwlxbm = o.getFwlxbm();      //房屋类型编码
        this.gyfs = o.getGyfs();        //共有方式 01 单独占有 02 共同共有 03 按份共有
        this.gyfsbm = o.getGyfsbm();      //共有方式编码
        this.szfe = o.getSzfe();        //所占份额 无
        this.cjje = o.getCjje();    //成交金额
        this.fklx = o.getFklx();        //付款类型 01 无抵押一次性付款    02 无抵押分期付款  03 抵押贷款一次性付款  04 抵押贷款分期付款
        this.fklxbm = o.getFklxbm();      //付款类型编码
        this.dkfs = o.getDkfs();        //贷款方式  01 商业贷款 02 公积金贷款 03 组合贷款 04 不确定  没有送04
        this.dkfsbm = o.getDkfsbm();      //贷款方式编码
        this.htsxrq = o.getHtsxrq();      //合同生效日期  2019-01-29 16:20:00
        this.ywbjsj = o.getYwbjsj();      //业务办结时间 2019-01-29 16:20:00
        this.ywbjrsfzh = o.getYwbjrsfzh();    //业务办结人身份证号  无
        this.ywblszxzqhdm = o.getYwblszxzqhdm(); //业务办理所在行政区划代码
        this.bazt = o.getBazt();       //备案状态
        this.tszt = o.getTszt();       //推送状态
        this.tssj = o.getTssj();        //推送时间
    }

    public String getXmbs() {
        return xmbs;
    }

    public void setXmbs(String xmbs) {
        this.xmbs = xmbs;
    }

    public BigDecimal getCg() {
        return cg;
    }

    public void setCg(BigDecimal cg) {
        this.cg = cg;
    }

    public BigDecimal getPgjg() {
        return pgjg;
    }

    public void setPgjg(BigDecimal pgjg) {
        this.pgjg = pgjg;
    }

    public String getSfyd() {
        return sfyd;
    }

    public void setSfyd(String sfyd) {
        this.sfyd = sfyd;
    }

    public String getHtzyjjfs() {
        return htzyjjfs;
    }

    public void setHtzyjjfs(String htzyjjfs) {
        this.htzyjjfs = htzyjjfs;
    }

    public String getFkfs() {
        return fkfs;
    }

    public void setFkfs(String fkfs) {
        this.fkfs = fkfs;
    }

    public String getQlxz() {
        return qlxz;
    }

    public void setQlxz(String qlxz) {
        this.qlxz = qlxz;
    }

    public String getXh() {
        return xh;
    }

    public void setXh(String xh) {
        this.xh = xh;
    }

    public String getYwbh() {
        return ywbh;
    }

    public void setYwbh(String ywbh) {
        this.ywbh = ywbh;
    }

    public String getLlywlb() {
        return llywlb;
    }

    public void setLlywlb(String llywlb) {
        this.llywlb = llywlb;
    }

    public String getLlywlbbm() {
        return llywlbbm;
    }

    public void setLlywlbbm(String llywlbbm) {
        this.llywlbbm = llywlbbm;
    }

    public String getSjywlb() {
        return sjywlb;
    }

    public void setSjywlb(String sjywlb) {
        this.sjywlb = sjywlb;
    }

    public String getYywbh() {
        return yywbh;
    }

    public void setYywbh(String yywbh) {
        this.yywbh = yywbh;
    }

    public String getJyzt() {
        return jyzt;
    }

    public void setJyzt(String jyzt) {
        this.jyzt = jyzt;
    }

    public String getJyywzmzsmc() {
        return jyywzmzsmc;
    }

    public void setJyywzmzsmc(String jyywzmzsmc) {
        this.jyywzmzsmc = jyywzmzsmc;
    }

    public String getJyywzmzsmcbm() {
        return jyywzmzsmcbm;
    }

    public void setJyywzmzsmcbm(String jyywzmzsmcbm) {
        this.jyywzmzsmcbm = jyywzmzsmcbm;
    }

    public String getJyywzmzsh() {
        return jyywzmzsh;
    }

    public void setJyywzmzsh(String jyywzmzsh) {
        this.jyywzmzsh = jyywzmzsh;
    }

    public String getDjywzmzsmc() {
        return djywzmzsmc;
    }

    public void setDjywzmzsmc(String djywzmzsmc) {
        this.djywzmzsmc = djywzmzsmc;
    }

    public String getDjywzmzsmcbm() {
        return djywzmzsmcbm;
    }

    public void setDjywzmzsmcbm(String djywzmzsmcbm) {
        this.djywzmzsmcbm = djywzmzsmcbm;
    }

    public String getDjywzmzsh() {
        return djywzmzsh;
    }

    public void setDjywzmzsh(String djywzmzsh) {
        this.djywzmzsh = djywzmzsh;
    }

    public String getJyzlb() {
        return jyzlb;
    }

    public void setJyzlb(String jyzlb) {
        this.jyzlb = jyzlb;
    }

    public String getJyzlbbm() {
        return jyzlbbm;
    }

    public void setJyzlbbm(String jyzlbbm) {
        this.jyzlbbm = jyzlbbm;
    }

    public String getJyzqc() {
        return jyzqc;
    }

    public void setJyzqc(String jyzqc) {
        this.jyzqc = jyzqc;
    }

    public String getJyzzjmc() {
        return jyzzjmc;
    }

    public void setJyzzjmc(String jyzzjmc) {
        this.jyzzjmc = jyzzjmc;
    }

    public String getJyzzjmcbm() {
        return jyzzjmcbm;
    }

    public void setJyzzjmcbm(String jyzzjmcbm) {
        this.jyzzjmcbm = jyzzjmcbm;
    }

    public String getJyzzjhm() {
        return jyzzjhm;
    }

    public void setJyzzjhm(String jyzzjhm) {
        this.jyzzjhm = jyzzjhm;
    }

    public String getJyzxz() {
        return jyzxz;
    }

    public void setJyzxz(String jyzxz) {
        this.jyzxz = jyzxz;
    }

    public String getJyzxzbm() {
        return jyzxzbm;
    }

    public void setJyzxzbm(String jyzxzbm) {
        this.jyzxzbm = jyzxzbm;
    }

    public String getJyzhj() {
        return jyzhj;
    }

    public void setJyzhj(String jyzhj) {
        this.jyzhj = jyzhj;
    }

    public String getJyzhjxzqh() {
        return jyzhjxzqh;
    }

    public void setJyzhjxzqh(String jyzhjxzqh) {
        this.jyzhjxzqh = jyzhjxzqh;
    }

    public String getBdcdyh() {
        return bdcdyh;
    }

    public void setBdcdyh(String bdcdyh) {
        this.bdcdyh = bdcdyh;
    }

    public String getFwbm() {
        return fwbm;
    }

    public void setFwbm(String fwbm) {
        this.fwbm = fwbm;
    }

    public String getFwzt() {
        return fwzt;
    }

    public void setFwzt(String fwzt) {
        this.fwzt = fwzt;
    }

    public String getXzqhdm() {
        return xzqhdm;
    }

    public void setXzqhdm(String xzqhdm) {
        this.xzqhdm = xzqhdm;
    }

    public String getQx() {
        return qx;
    }

    public void setQx(String qx) {
        this.qx = qx;
    }

    public String getXzjdb() {
        return xzjdb;
    }

    public void setXzjdb(String xzjdb) {
        this.xzjdb = xzjdb;
    }

    public String getJjxzqh() {
        return jjxzqh;
    }

    public void setJjxzqh(String jjxzqh) {
        this.jjxzqh = jjxzqh;
    }

    public String getJjxzqhdm() {
        return jjxzqhdm;
    }

    public void setJjxzqhdm(String jjxzqhdm) {
        this.jjxzqhdm = jjxzqhdm;
    }

    public String getLjx() {
        return ljx;
    }

    public void setLjx(String ljx) {
        this.ljx = ljx;
    }

    public String getXq() {
        return xq;
    }

    public void setXq(String xq) {
        this.xq = xq;
    }

    public String getLh() {
        return lh;
    }

    public void setLh(String lh) {
        this.lh = lh;
    }

    public String getMyc() {
        return myc;
    }

    public void setMyc(String myc) {
        this.myc = myc;
    }

    public String getDy() {
        return dy;
    }

    public void setDy(String dy) {
        this.dy = dy;
    }

    public String getFh() {
        return fh;
    }

    public void setFh(String fh) {
        this.fh = fh;
    }

    public String getFwzl() {
        return fwzl;
    }

    public void setFwzl(String fwzl) {
        this.fwzl = fwzl;
    }

    public String getHxjs() {
        return hxjs;
    }

    public void setHxjs(String hxjs) {
        this.hxjs = hxjs;
    }

    public String getHxjsbm() {
        return hxjsbm;
    }

    public void setHxjsbm(String hxjsbm) {
        this.hxjsbm = hxjsbm;
    }

    public String getHxjg() {
        return hxjg;
    }

    public void setHxjg(String hxjg) {
        this.hxjg = hxjg;
    }

    public String getHxjgbm() {
        return hxjgbm;
    }

    public void setHxjgbm(String hxjgbm) {
        this.hxjgbm = hxjgbm;
    }

    public String getFwcx() {
        return fwcx;
    }

    public void setFwcx(String fwcx) {
        this.fwcx = fwcx;
    }

    public String getFwcxbm() {
        return fwcxbm;
    }

    public void setFwcxbm(String fwcxbm) {
        this.fwcxbm = fwcxbm;
    }

    public BigDecimal getJzmj() {
        return jzmj;
    }

    public void setJzmj(BigDecimal jzmj) {
        this.jzmj = jzmj;
    }

    public BigDecimal getTnjzmj() {
        return tnjzmj;
    }

    public void setTnjzmj(BigDecimal tnjzmj) {
        this.tnjzmj = tnjzmj;
    }

    public BigDecimal getGtjzmj() {
        return gtjzmj;
    }

    public void setGtjzmj(BigDecimal gtjzmj) {
        this.gtjzmj = gtjzmj;
    }

    public String getGhyt() {
        return ghyt;
    }

    public void setGhyt(String ghyt) {
        this.ghyt = ghyt;
    }

    public String getJzjg() {
        return jzjg;
    }

    public void setJzjg(String jzjg) {
        this.jzjg = jzjg;
    }

    public String getJzjgbm() {
        return jzjgbm;
    }

    public void setJzjgbm(String jzjgbm) {
        this.jzjgbm = jzjgbm;
    }

    public String getFwyt() {
        return fwyt;
    }

    public void setFwyt(String fwyt) {
        this.fwyt = fwyt;
    }

    public String getFwytbm() {
        return fwytbm;
    }

    public void setFwytbm(String fwytbm) {
        this.fwytbm = fwytbm;
    }

    public String getFwxz() {
        return fwxz;
    }

    public void setFwxz(String fwxz) {
        this.fwxz = fwxz;
    }

    public String getFwxzbm() {
        return fwxzbm;
    }

    public void setFwxzbm(String fwxzbm) {
        this.fwxzbm = fwxzbm;
    }

    public String getFwlx() {
        return fwlx;
    }

    public void setFwlx(String fwlx) {
        this.fwlx = fwlx;
    }

    public String getFwlxbm() {
        return fwlxbm;
    }

    public void setFwlxbm(String fwlxbm) {
        this.fwlxbm = fwlxbm;
    }

    public String getGyfs() {
        return gyfs;
    }

    public void setGyfs(String gyfs) {
        this.gyfs = gyfs;
    }

    public String getGyfsbm() {
        return gyfsbm;
    }

    public void setGyfsbm(String gyfsbm) {
        this.gyfsbm = gyfsbm;
    }

    public String getSzfe() {
        return szfe;
    }

    public void setSzfe(String szfe) {
        this.szfe = szfe;
    }

    public String getFklx() {
        return fklx;
    }

    public void setFklx(String fklx) {
        this.fklx = fklx;
    }

    public String getFklxbm() {
        return fklxbm;
    }

    public void setFklxbm(String fklxbm) {
        this.fklxbm = fklxbm;
    }

    public String getDkfs() {
        return dkfs;
    }

    public void setDkfs(String dkfs) {
        this.dkfs = dkfs;
    }

    public String getDkfsbm() {
        return dkfsbm;
    }

    public void setDkfsbm(String dkfsbm) {
        this.dkfsbm = dkfsbm;
    }

    public String getHtsxrq() {
        return htsxrq;
    }

    public void setHtsxrq(String htsxrq) {
        this.htsxrq = htsxrq;
    }

    public String getYwbjsj() {
        return ywbjsj;
    }

    public void setYwbjsj(String ywbjsj) {
        this.ywbjsj = ywbjsj;
    }

    public String getYwbjrsfzh() {
        return ywbjrsfzh;
    }

    public void setYwbjrsfzh(String ywbjrsfzh) {
        this.ywbjrsfzh = ywbjrsfzh;
    }

    public String getYwblszxzqhdm() {
        return ywblszxzqhdm;
    }

    public void setYwblszxzqhdm(String ywblszxzqhdm) {
        this.ywblszxzqhdm = ywblszxzqhdm;
    }

    public Integer getZcs() {
        return zcs;
    }

    public void setZcs(Integer zcs) {
        this.zcs = zcs;
    }

    public Integer getDscs() {
        return dscs;
    }

    public void setDscs(Integer dscs) {
        this.dscs = dscs;
    }

    public Integer getDxcs() {
        return dxcs;
    }

    public void setDxcs(Integer dxcs) {
        this.dxcs = dxcs;
    }

    public String getJgysbarq() {
        return jgysbarq;
    }

    public void setJgysbarq(String jgysbarq) {
        this.jgysbarq = jgysbarq;
    }

    public String getSjscsj() {
        return sjscsj;
    }

    public void setSjscsj(String sjscsj) {
        this.sjscsj = sjscsj;
    }

    public String getSjgxsj() {
        return sjgxsj;
    }

    public void setSjgxsj(String sjgxsj) {
        this.sjgxsj = sjgxsj;
    }

    public Integer getSzqsc() {
        return szqsc;
    }

    public void setSzqsc(Integer szqsc) {
        this.szqsc = szqsc;
    }

    public Integer getSzzzc() {
        return szzzc;
    }

    public void setSzzzc(Integer szzzc) {
        this.szzzc = szzzc;
    }

    public BigDecimal getCjje() {
        return cjje;
    }

    public void setCjje(BigDecimal cjje) {
        this.cjje = cjje;
    }

    public Integer getBazt() {
        return bazt;
    }

    public void setBazt(Integer bazt) {
        this.bazt = bazt;
    }

    public Integer getTszt() {
        return tszt;
    }

    public void setTszt(Integer tszt) {
        this.tszt = tszt;
    }

    public String getTssj() {
        return tssj;
    }

    public void setTssj(String tssj) {
        this.tssj = tssj;
    }
}

