package com.coob.sjts.modules.mis.domain.sjts;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 数据推送
 *  省厅数据推送 - 监管楼幢数据
 */
public class SjtsStJglz implements Serializable {
    private static final long serialVersionUID = -1L;

    private String lzid;            //楼幢ID
    private String xmbh;            //项目编号
    private String xmmc;            //项目名称
    private String lzmc;            //楼幢名称
    private BigDecimal jacb;        //建安成本
    private String jsjd;            //建设进度
    private BigDecimal jged;        //监管额度
    private BigDecimal lcbl;        //留存比例
    private BigDecimal lced;        //留存额度
    private BigDecimal ye;          //余额
    private Integer zt;             //状态  1在建  2交付

    private String xmjgbz;      //项目监管比例：各个楼幢数据拼接
    private String xmlcbl;      //项目留存比例：各个楼幢数据拼接

    public String getLzid() { return this.lzid; }

    public void setLzid(String lzid) { this.lzid = lzid; }

    public String getXmbh() { return this.xmbh; }

    public void setXmbh(String xmbh) { this.xmbh = xmbh; }

    public String getXmmc() { return this.xmmc; }

    public void setXmmc(String xmmc) { this.xmmc = xmmc; }

    public String getLzmc() { return this.lzmc; }

    public void setLzmc(String lzmc) { this.lzmc = lzmc; }

    public BigDecimal getJacb() { return this.jacb; }

    public void setJacb(BigDecimal jacb) { this.jacb = jacb; }

    public String getJsjd() { return this.jsjd; }

    public void setJsjd(String jsjd) { this.jsjd = jsjd; }

    public BigDecimal getJged() { return this.jged; }

    public void setJged(BigDecimal jged) { this.jged = jged; }

    public BigDecimal getLcbl() { return this.lcbl; }

    public void setLcbl(BigDecimal lcbl) { this.lcbl = lcbl; }

    public BigDecimal getLced() { return this.lced; }

    public void setLced(BigDecimal lced) { this.lced = lced; }

    public BigDecimal getYe() { return this.ye; }

    public void setYe(BigDecimal ye) { this.ye = ye; }

    public Integer getZt() { return this.zt; }

    public void setZt(Integer zt) { this.zt = zt; }

    public String getXmjgbz() {
        return xmjgbz;
    }

    public void setXmjgbz(String xmjgbz) {
        this.xmjgbz = xmjgbz;
    }

    public String getXmlcbl() {
        return xmlcbl;
    }

    public void setXmlcbl(String xmlcbl) {
        this.xmlcbl = xmlcbl;
    }
}
