package com.coob.sjts.modules.mis.domain.wk;

import java.io.Serializable;
import java.util.Date;

/**
 * 开发商信息(YsQyxxb)实体类
 *
 * @author Awei
 * @since 2023-11-14 15:30:22
 */
public class YsQyxxb implements Serializable {
    private static final long serialVersionUID = -86299534758868986L;

    private Integer id;             //企业id
    private String qybm;            //企业编码
    private String qymc;            //企业名称
    private String qyjc;            //企业简称
    private String fr;              //法人
    private String frzjlx;          //法人证件类型
    private String frzjhm;          //法人证件号码
    private String zch;             //注册号
    private String zcd;             //注册地
    private String zclx;            //注册类型  9 开发商
    private String zczb;            //注册资本
    private String zcjg;            //注册机构
    private Date zcrq;              //注册日期
    private Date zcdqr;             //注册到期日
    private String lxdz;            //联系地址
    private String lxyb;            //联系邮编
    private String lxdh;            //联系电话


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getQybm() {
        return qybm;
    }

    public void setQybm(String qybm) {
        this.qybm = qybm;
    }

    public String getQymc() {
        return qymc;
    }

    public void setQymc(String qymc) {
        this.qymc = qymc;
    }

    public String getQyjc() {
        return qyjc;
    }

    public void setQyjc(String qyjc) {
        this.qyjc = qyjc;
    }

    public String getFr() {
        return fr;
    }

    public void setFr(String fr) {
        this.fr = fr;
    }

    public String getFrzjlx() {
        return frzjlx;
    }

    public void setFrzjlx(String frzjlx) {
        this.frzjlx = frzjlx;
    }

    public String getFrzjhm() {
        return frzjhm;
    }

    public void setFrzjhm(String frzjhm) {
        this.frzjhm = frzjhm;
    }

    public String getZch() {
        return zch;
    }

    public void setZch(String zch) {
        this.zch = zch;
    }

    public String getZcd() {
        return zcd;
    }

    public void setZcd(String zcd) {
        this.zcd = zcd;
    }

    public String getZclx() {
        return zclx;
    }

    public void setZclx(String zclx) {
        this.zclx = zclx;
    }

    public String getZczb() {
        return zczb;
    }

    public void setZczb(String zczb) {
        this.zczb = zczb;
    }

    public String getZcjg() {
        return zcjg;
    }

    public void setZcjg(String zcjg) {
        this.zcjg = zcjg;
    }

    public Date getZcrq() {
        return zcrq;
    }

    public void setZcrq(Date zcrq) {
        this.zcrq = zcrq;
    }

    public Date getZcdqr() {
        return zcdqr;
    }

    public void setZcdqr(Date zcdqr) {
        this.zcdqr = zcdqr;
    }

    public String getLxdz() {
        return lxdz;
    }

    public void setLxdz(String lxdz) {
        this.lxdz = lxdz;
    }

    public String getLxyb() {
        return lxyb;
    }

    public void setLxyb(String lxyb) {
        this.lxyb = lxyb;
    }


    public String getLxdh() {
        return lxdh;
    }

    public void setLxdh(String lxdh) {
        this.lxdh = lxdh;
    }

}

