package com.coob.sjts.modules.mis.mapper;

import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.mis.bo.SjtsFwwqbaBo;
import com.coob.sjts.modules.mis.domain.sjts.SjtsStFwwqba;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * (SjtsSnXmxx)表数据库访问层
 *
 * @author makejava
 * @since 2024-05-19 15:24:21
 */
@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_MIS)
public interface SjtsStFwwqbaMapper {


    int insertBatch(List<SjtsStFwwqba> list);


    /**
     * 更新推送时间，推送状态为2
     * @param
     * @return
     */
    int uppdateTsztOrTssj();



    /**
     * 查询合同、房屋等数据，用于生成 房屋网签备案信息
     * @return
     */
    List<SjtsFwwqbaBo> selectHtListForFwwqba();

    /**
     * 分页查询需要推送的 房屋网签备案信息
     * @param startRow
     * @param endRow
     * @return
     */
    List<SjtsStFwwqba> selectListByFy(@Param("startRow") int startRow, @Param("endRow") int endRow);


    /**
     * 统计需要推送的 房屋网签备案数量
     * @return
     */
    int countFwBaByWts();


}

