package com.coob.sjts.modules.mis.mapper;




import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.mis.domain.sjts.SjtsStXmxx;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 *
 * @author makejava
 * @since 2024-05-19 15:24:21
 */
@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_MIS)
public interface SjtsStXmxxMapper {


    /**
     * 批量新增数据
     * @return
     */
    int insertSelect();
    /**
     *  根据监管楼幢的建设进度修改项目的形象进度
     * @return
     */
    int updateXxjd();

    /**
     * 更新推送时间，推送状态为2
     * @param tssj
     * @return
     */
    int uppdateTsztOrTssj();


    /**
     * 查询所有推送项目列表
     * @return
     */
    List<SjtsStXmxx> selectListAll();


    /**
     * 查询所有未推送的项目
     * @return
     */
    List<SjtsStXmxx> selectListByWts();




}

