package com.coob.sjts.modules.mis.mapper;



import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.mis.domain.sjts.SjtsStYsxkz;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * (SjtsSnXmxx)表数据库访问层
 *
 * @author makejava
 * @since 2024-05-19 15:24:21
 */
@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_MIS)
public interface SjtsStYsxkzMapper {

    /**
     * 批量数据添加
     * @return
     */
    int insertSelect();

    /**
     * 更新预售套数、预售面积, 仅更新需要推送的数据
     * @return
     */
    int updateYstsmj();

    /**
     * 更新 住宅 预售套数、预售面积, 仅更新需要推送的数据
     * @return
     */
    int updateYszztsmj();

    /**
     * 更新 商业 预售面积, 仅更新需要推送的数据
     * @return
     */
    int updateYssymj();

    /**
     * 更新 其他用途 预售面积, 仅更新需要推送的数据
     * @return
     */
    int updateYsqtmj();

    /**
     * 更新 工程建设进度,  更新所有数据
     * @return
     */
    int updateGcjsjd();

    /**
     * 不再预售监管的楼幢，设置进度为完成
     * @return
     */
    int updateGcjdWc();
    /**
     * 更新推送时间，推送状态为2
     * @param tssj
     * @return
     */
    int uppdateTsztOrTssj( );

    /**
     * 查询所有的预售许可证信息
     * @return
     */
    List<SjtsStYsxkz> selectAllList();


    /**
     * 统计所有未推送的预售证信息
     * @return
     */
    List<SjtsStYsxkz> selectListByWts();




}

