package com.coob.sjts.modules.mis.mapper;

import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.mis.domain.wk.SgUser;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * (SgUser)表数据库访问层
 *
 * @author Awei
 * @since 2024-01-08 11:00:03
 */
@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_MIS)
public interface SyUserMapper {


    /**
     * 查询 所有的主管部门用户
     * @return
     */
    List<SgUser> selectZgUser();

    /**
     * 查询所有的开发企业用户
     * @return
     */
    List<SgUser> selectQyUser();







}

