package com.coob.sjts.modules.mis.service.sjts;


import com.coob.sjts.modules.mis.bo.SjtsFwwqbaBo;
import com.coob.sjts.modules.mis.domain.sjts.SjtsStFwwqba;
import com.coob.sjts.modules.mis.mapper.SjtsStFwwqbaMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Service
public class SjtsStFwwqbaService {
    @Resource
    private SjtsStFwwqbaMapper sjtsStFwwqbaMapper;


    public int insertBatch(List<SjtsStFwwqba> list){
        return this.sjtsStFwwqbaMapper.insertBatch(list);
    }

    /**
     * 更新推送时间，推送状态为2
     * @param
     * @return
     */
    public int uppdateTsztOrTssj( ){
        return this.sjtsStFwwqbaMapper.uppdateTsztOrTssj();
    }


    /**
     * 查询合同、房屋等数据，用于生成 房屋网签备案信息
     * @return
     */
    public List<SjtsFwwqbaBo> selectHtListForFwwqba(){
        return this.sjtsStFwwqbaMapper.selectHtListForFwwqba();
    }

    public void impFwwqBa(){

        // 查询新增数据
        while (true) {
            List<SjtsFwwqbaBo> boList = this.sjtsStFwwqbaMapper.selectHtListForFwwqba();
            if (boList == null || boList.isEmpty()) {
                break;
            }

            //循环添加
            List<SjtsStFwwqba> wqList = new ArrayList<>();
            for (SjtsFwwqbaBo bo : boList) {
                List<SjtsStFwwqba> _list = bo.createWqba();
                wqList.addAll(_list);
            }

            this.sjtsStFwwqbaMapper.insertBatch(wqList);

            try {
                Thread.sleep(100);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }

    }




    /**
     * 分页查询需要推送的房屋网签备案信息
     * @param startRow
     * @param endRow
     * @return
     */
    public List<SjtsStFwwqba> selectListByFy(int startRow, int endRow){
        return this.sjtsStFwwqbaMapper.selectListByFy(startRow,endRow);
    }


    /**
     * 统计需要推送的房屋网签备案数量
     * @return
     */
    public int countFwBaByWts(){
        return this.sjtsStFwwqbaMapper.countFwBaByWts();
    }

}
