package com.coob.sjts.modules.mis.service.sjts;


import com.coob.sjts.modules.mis.domain.sjts.SjtsStJglz;
import com.coob.sjts.modules.mis.mapper.SjtsStJglzMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class SjtsStJglzService {
    @Resource
    private SjtsStJglzMapper sjtsStJglzMapper;


    /**
     *  导入监管楼幢更新数据
     * @return
     */
    public int impJglz() {
        int i = 0;

        if(this.sjtsStJglzMapper.countJglz() == 0){

            i = this.sjtsStJglzMapper.insertSelect();
            System.out.println("省厅  监管楼幢 新增数据导入  新增数量：" + i);

            i = this.sjtsStJglzMapper.updateJgByZjb();
            System.out.println("省厅  监管楼幢 根据住建部更新监管信息 更新数量：" + i);

            i = this.sjtsStJglzMapper.updateZtorJd();
            System.out.println("省厅  监管楼幢 修改历史数据的进度以及状态  更新数量：" + i);

            i = this.sjtsStJglzMapper.updateJfrq();
            System.out.println("省厅  监管楼幢 更新监管楼幢交付日期  更新数量：" + i);

        }else{
            this.sjtsStJglzMapper.updateJgByZjb();
            System.out.println("省厅  监管楼幢  根据住建部插入更新数量：" + i);
        }

        return 1;
    }




    /**
     * 查询增量数据并新增
     * @return
     */
    public int insertSelect(){
        return this.sjtsStJglzMapper.insertSelect();
    }


    /**
     * 根据住建部的监管楼幢表导入新增数据
     * @return
     */
    public int insertSelectByZjb(){
        return this.sjtsStJglzMapper.insertSelectByZjb();
    }

    /**
     * 根据住建部的信息更新省厅的监管漏装信息
     * @return
     */
    public int updateJgByZjb(){
        return this.sjtsStJglzMapper.updateJgByZjb();
    }

    /**
     * 更新监管楼幢表历史数据的建设进度以及状态
     * @return
     */
    public int updateZtorJd() {
        return this.sjtsStJglzMapper.updateZtorJd();
    }

    /**
     * 更新监管楼幢表的交付日期
     * @return
     */
    public int updateJfrq() {
        return this.sjtsStJglzMapper.updateJfrq();
    }

    /**
     * 查询所有列表
     * @return
     */
    public List<SjtsStJglz> selectListAll(){
        return this.sjtsStJglzMapper.selectListAll();
    }

    /**
     * 查询在建的项目信息列表
     * @return
     */
    public List<SjtsStJglz> selectXmxxZjList(){ return this.sjtsStJglzMapper.selectXmxxZjList(); }


    /**
     * 统计监管楼幢数量
     * @return
     */
    public int countJglz(){
        return this.sjtsStJglzMapper.countJglz();
    }

}
