package com.coob.sjts.modules.mis.service.sjts;


import com.coob.sjts.common.stUtil.SjtsCreateXhUtils;
import com.coob.sjts.common.utils.DateUtil;
import com.coob.sjts.modules.mis.domain.sjts.SjtsStJgzhmx;
import com.coob.sjts.modules.mis.mapper.SjtsStJgzhmxMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class SjtsStJgzhmxService {
    @Resource
    private SjtsStJgzhmxMapper sjtsStJgzhmxMapper;


    /**
     * 保存数据
     * @return
     */
    public int imptJgzhmx(){
        System.out.println(" >> 导入 省厅 - 监管账户明细表数据 >> ");

        int flag = 0;

        //更新变更的信息， 根据 sjts_zjb_jgzhmx 表更新
        flag = this.sjtsStJgzhmxMapper.updateSelect();
        System.out.println("  > 更新数据：" + flag );

        //根据 sjts_zjb_jgzhmx 表插入增量数据
        flag = this.sjtsStJgzhmxMapper.insertSelect();
        System.out.println("  > 新增数据：" + flag );

       return flag;
    }


    public int uppdateTszt( ) {
        return this.sjtsStJgzhmxMapper.uppdateTszt();
    }


    /**
     * 删除所有数据
     * @return
     */
    public int deleteAll(){
        return this.sjtsStJgzhmxMapper.deleteAll();
    }


    /**
     * 查询所有列表
     * @return
     */
    public List<SjtsStJgzhmx> selectListAll() {
        return this.sjtsStJgzhmxMapper.selectListAll();
    }

    public List<SjtsStJgzhmx> selectListByWts() {
        List<SjtsStJgzhmx> wts = this.sjtsStJgzhmxMapper.selectListByWts();
        String _date = DateUtil.getCurDateStr("yyyyMMddHHmmss");
        for (SjtsStJgzhmx wt : wts) {
            wt.setXh(SjtsCreateXhUtils.createXh(wt.getXh()));
            wt.setSjscsj(_date);
            wt.setSjgxsj("");
        }

        return wts;
    }

}
