package com.coob.sjts.modules.mis.service.sjts;


import com.coob.sjts.common.stUtil.SjtsCreateXhUtils;
import com.coob.sjts.common.utils.DateUtil;
import com.coob.sjts.modules.mis.domain.sjts.SjtsStXmxx;
import com.coob.sjts.modules.mis.mapper.SjtsStXmxxMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * (SjtsSnXmxx)表服务实现类
 *
 * @author makejava
 * @since 2024-05-19 15:24:23
 */
@Service
public class SjtsStXmxxService {

    @Resource
    private SjtsStXmxxMapper sjtsStXmxxMapper;


    public int impXmxx() {
        System.out.println("更新省厅项目信息");

        int flag = 0;

        flag = sjtsStXmxxMapper.insertSelect();
        System.out.println("省厅  项目信息新增导入  更新数量：" + flag);

        flag = sjtsStXmxxMapper.updateXxjd();
        System.out.println("省厅  项目信息更新形象进度  更新数量：" + flag);


        return 1;
    }



   /**
     * 更新推送时间，推送状态为2
     * @param tssj
     * @return
     */
    public int uppdateTsztOrTssj(){
        return sjtsStXmxxMapper.uppdateTsztOrTssj();
    }


    /**
     * 查询所有省厅推送项目列表
     * @return
     */
    public List<SjtsStXmxx> selectListAll() {
        return sjtsStXmxxMapper.selectListAll();
    }

    public List<SjtsStXmxx> selectListByWts() {
        List<SjtsStXmxx> wts = sjtsStXmxxMapper.selectListByWts();
        String _date = DateUtil.getCurDateStr("yyyyMMddHHmmss");
        for (SjtsStXmxx wt : wts) {

            wt.setXh(SjtsCreateXhUtils.createXh(wt.getXh()));
            wt.setSjscsj(_date);
            wt.setSjgxsj("");
        }
        return wts;
    }




}
