package com.coob.sjts.modules.mis.service.sjts;



import com.coob.sjts.common.stUtil.SjtsCreateXhUtils;
import com.coob.sjts.common.utils.DateUtil;
import com.coob.sjts.modules.mis.domain.sjts.SjtsStYsxkz;
import com.coob.sjts.modules.mis.mapper.SjtsStYsxkzMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * (SjtsSnXmxx)表服务实现类
 *
 * @author makejava
 * @since 2024-05-19 15:24:23
 */
@Service
public class SjtsStYsxkzService {

    @Resource
    private SjtsStYsxkzMapper sjtsStYsxkzMapper;



    public int impYsxkz(){
        System.out.println("省厅数据推送  预售许可证数据导入更新 " + DateUtil.curT());
        int flag = 0;

        flag = sjtsStYsxkzMapper.insertSelect();
        System.out.println("预售许可证导入 更新数量"+flag);

        flag = sjtsStYsxkzMapper.updateYstsmj();
        System.out.println("预售许可证更新预售套数，面积 更新数量"+flag);

        flag = sjtsStYsxkzMapper.updateYszztsmj();
        System.out.println("预售许可证更新预售住宅套数，面积 更新数量"+flag);

        flag = sjtsStYsxkzMapper.updateYssymj();
        System.out.println("预售许可证更新预售商业面积 更新数量"+flag);

        flag = sjtsStYsxkzMapper.updateYsqtmj();
        System.out.println("预售许可证更新预售其他面积 更新数量"+flag);

        flag = sjtsStYsxkzMapper.updateGcjsjd();
        System.out.println("预售许可证更新工程建设进度 更新数量"+flag);

        flag = sjtsStYsxkzMapper.updateGcjdWc();
        System.out.println("预售许可证更新已交付楼幢（不再监管楼幢）的建设进度为完成（501） 更新数量"+flag);

        return 1;

    }

    /**
     * 省厅预售许可证新增数据导入
     * @return
     */
    public int insertSelect() {
        return sjtsStYsxkzMapper.insertSelect();
    }


    /**
     * 更新推送时间，推送状态为2
     * @param
     * @return
     */
    public int uppdateTsztOrTssj() {
        return sjtsStYsxkzMapper.uppdateTsztOrTssj();
    }


    /**
     * 查询所有的预售许可证列表
     * @return
     */
    public  List<SjtsStYsxkz> selectAllList() {
        return sjtsStYsxkzMapper.selectAllList();
    }


    public List<SjtsStYsxkz> selectListByWts() {
        List<SjtsStYsxkz> wts = sjtsStYsxkzMapper.selectListByWts();
        String _date = DateUtil.getCurDateStr("yyyyMMddHHmmss");
        for (SjtsStYsxkz wt : wts) {

            wt.setYsxkzbm(SjtsCreateXhUtils.createYsxkzbm(wt.getYsxkzbm()));
            wt.setXh(SjtsCreateXhUtils.createXh(wt.getXh()));
            wt.setSjscsj(_date);
            wt.setSjgxsj("");
        }

        return wts;
    }



}
