package com.coob.sjts.modules.mis.service.wk;

import com.coob.sjts.modules.mis.domain.sjts.SjtsStXmxx;
import com.coob.sjts.modules.mis.domain.wk.YsXmgc;
import com.coob.sjts.modules.mis.mapper.YsXmgcMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * 开发商项目工程规划许可证信息(YsXmgc)
 *
 * @author Awei
 * @since 2023-11-14 16:42:05
 */
@Service
public class YsXmgcService{

    @Resource
    private YsXmgcMapper ysXmgcMapper;



    public List<YsXmgc> selectByQyid(Integer qyid) {
        return this.ysXmgcMapper.selectByQyid(qyid);
    }


    public List<YsXmgc> selectAll() {
        return this.ysXmgcMapper.selectAllList();
    }


    public List<YsXmgc> selectByOldId(Integer oldId) {
        return this.ysXmgcMapper.selectByOldId(oldId);
    }


    public List<SjtsStXmxx> selectZshByXmid( ) {
        return this.ysXmgcMapper.selectZshByXmid();
    }





}
