package com.coob.sjts.modules.mis.service.wk;

import com.coob.sjts.modules.mis.domain.sjts.SjtsStXmxx;
import com.coob.sjts.modules.mis.domain.wk.YsXmsg;
import com.coob.sjts.modules.mis.mapper.YsXmsgMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * 开发商项目建筑施工许可证信息(YsXmsg)表服务实现类
 *
 * @author Awei
 * @since 2023-11-14 17:40:32
 */
@Service
public class YsXmsgService{

    @Resource
    private YsXmsgMapper ysXmsgMapper;



    public List<YsXmsg> selectByQyid(Integer qyid) {
        return this.ysXmsgMapper.selectByQyid(qyid);
    }


    public List<YsXmsg> selectAll() {
        return this.ysXmsgMapper.selectAllList();
    }



    public List<YsXmsg> selectByOldId(Integer oldId) {
        return this.ysXmsgMapper.selectByOldId(oldId);
    }

    /**
     * 根据项目编号查询开工提起以及计划竣工日期
     * @return
     */

    public List<SjtsStXmxx> selectSjByXmbh( ) {
        return this.ysXmsgMapper.selectKgsjByXmbh();
    }



}
