package com.coob.sjts.modules.mis.service.wk;

import com.coob.sjts.modules.mis.domain.sjts.SjtsStXmxx;
import com.coob.sjts.modules.mis.domain.wk.YsXmyd;
import com.coob.sjts.modules.mis.mapper.YsXmydMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 开发商建设用地规划许可证(YsXmyd)表服务实现类
 *
 * @author Awei
 * @since 2023-11-14 17:54:43
 */
@Service
public class YsXmydService{

    @Resource
    private YsXmydMapper ysXmydMapper;


    public List<YsXmyd> selectByQyid(Integer qyid) {
        return this.ysXmydMapper.selectByQyid(qyid);
    }


    public List<YsXmyd> selectAll() {
        return this.ysXmydMapper.selectAllList();
    }

    public List<YsXmyd> selectByOldId(Integer oldId) {
        return this.ysXmydMapper.selectByOldId(oldId);
    }

    public List<SjtsStXmxx> selectZshByXmid() {
        return this.ysXmydMapper.selectZshByXmid();
    }
}
