package com.coob.sjts.modules.system.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;

/**
 * 角色
 *
 * @author Administrator
 */
@Data
@NoArgsConstructor
public class SysRole extends BaseEntry implements Serializable {

    private static final long serialVersionUID = 4632862678352811079L;

    @ApiModelProperty(value = "主键")
    private Integer id;
    @ApiModelProperty(value = "角色名称")
    private String roleName;
    @ApiModelProperty(value = "角色描述")
    private String remark;
    @ApiModelProperty(value = "数据状态1、正常 5、停权（禁用） -9 删除")
    private Integer state;

    public String checkAddParams() {
        if (StringUtils.isBlank(this.roleName)) {
            return "角色名称不能为空";
        }
        return checkParams();
    }

    public String checkEditParams() {
        if (this.id == null) {
            return "id不能为空";
        }
        return checkAddParams();
    }

}

