package com.coob.sjts.modules.wkzjk.mapper;

import com.coob.sjts.modules.wkzjk.domain.GxGxbs;
import org.apache.ibatis.annotations.Mapper;

/**
 * (GxGxbs)表数据库访问层
 *
 * @author Awei
 * @since 2023-11-16 14:21:04
 */
@Mapper
public interface GxGxbsMapper{

    /**
     * 查询推送数据的最后标识
     * @return
     */
    GxGxbs selectBS();

    /**
     * 统计推送数据的最后标识
     * @return
     */
    GxGxbs countBs();

    /**
     * 修改推送数据的最后标识
     * @param gxGxbs
     * @return
     */
    Integer updateBs(GxGxbs gxGxbs);

    /**
     * 统计推送数据的用户数量
     * @return
     */
    Integer countUsers();

    /**
     * 统计推送数据的部门数量
     * @return
     */
    Integer countDept();

}

