package com.coob.sjts.modules.wkzjk.service;

import com.coob.sjts.modules.wkzjk.domain.GxGxbs;
import com.coob.sjts.modules.wkzjk.mapper.GxGxbsMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;


/**
 * (GxGxbs)表服务实现类
 *
 * @author Awei
 * @since 2023-11-16 14:21:07
 */
@Service
public class GxGxbsService{


    @Resource
    private GxGxbsMapper gxbsMapper;


    public GxGxbs selectBs(){
        return this.gxbsMapper.selectBS();
    }

    public GxGxbs countBs(){
        return this.gxbsMapper.countBs();
    }

    public Integer updateBs(GxGxbs gxGxbs){
        return this.gxbsMapper.updateBs(gxGxbs);
    }


    public Integer countUsers(){
        return this.gxbsMapper.countUsers();
    }

    public Integer countDept(){
        return this.gxbsMapper.countDept();
    }


}
