package com.coob.sjts.modules.zhfg.bo;


import com.coob.sjts.modules.mis.domain.sjts.SjtsZjbJglz;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 监管楼幢信息 - 含监管信息
 */
public class BuildAccBo implements Serializable  {
    private static final long serialVersionUID = -1L;

    private String xmbh;        //项目编号
    private String xmmc;        //项目名称
    private String lzbh;        //楼幢编号
    private String lzmc;        //楼幢名称
    private String jsjd;        //建设进度
    private BigDecimal jacb;    //建安成本
    private BigDecimal jged;    //监管额度
    private BigDecimal lcbl;    //留存比例
    private BigDecimal lced;    //留存额度
    private BigDecimal ye;      //楼幢监管余额

    public SjtsZjbJglz createZjbLz(){
        SjtsZjbJglz lz = new SjtsZjbJglz();

        lz.setLzid(this.lzbh);
        lz.setXmbh(this.xmbh);
        lz.setXmmc(this.xmmc);
        lz.setLzmc(this.lzmc);
        lz.setJsjd(this.jsjd);
        lz.setJacb(this.jacb);
        lz.setJged(this.jged);
        lz.setLcbl(this.lcbl);
        lz.setLced(this.lced);
        lz.setYe(this.ye);
        lz.setZt(1);
        lz.setZzht(0);
        lz.setDzht(0);

        return lz;
    }



    public String getXmbh() { return  this.xmbh; }
    public void setXmbh(String xmbh) { this.xmbh = xmbh; }

    public String getXmmc() { return this.xmmc; }
    public void setXmmc(String xmmc) { this.xmmc = xmmc; }

    public String getLzbh() { return this.lzbh; }
    public void setLzbh(String lzbh) { this.lzbh = lzbh; }

    public String getLzmc() { return this.lzmc; }
    public void setLzmc(String lzmc) { this.lzmc = lzmc; }

    public String getJsjd() { return this.jsjd; }
    public void setJsjd(String jsjd) { this.jsjd = jsjd; }

    public BigDecimal getJacb() { return this.jacb; }
    public void setJacb(BigDecimal jacb) { this.jacb = jacb; }

    public BigDecimal getJged() { return  this.jged; }
    public void setJged(BigDecimal jged) { this.jged = jged; }

    public BigDecimal getLcbl() { return this.lcbl; }
    public void setLcbl(BigDecimal lcbl) { this.lcbl = lcbl; }

    public BigDecimal getLced() { return this.lced; }
    public void setLced(BigDecimal lced) { this.lced = lced; }

    public BigDecimal getYe() { return this.ye; }
    public void setYe(BigDecimal ye) { this.ye = ye; }
}
