package com.coob.sjts.modules.zhfg.mapper;

import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.zhfg.bo.ProjectAccBo;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_ZHFG)
public interface FcAccountMapper {

    /**
     * 查询所有有效监管账户信息，用于省厅数据推送
     * @return
     */
    List<ProjectAccBo> selectJgzhListForSjts();

}
