package com.coob.sjts.modules.zhfg.mapper;

import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.zhfg.bo.BuildAccBo;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 智慧房产 - 预售资金监管
 *  监管楼幢信息表 - 数据处理
 */
@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_ZHFG)
public interface FcBuildingAccountMapper {

    /**
     * 查询监管楼幢信息，用于省、部数据推送
     * @return
     */
    List<BuildAccBo> selectListForSjts();


}
