package com.coob.sjts.modules.zhfg.mapper;

import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.zhfg.domain.GrzfTjMj;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * (BTjGrzfMj)表数据库访问层
 *
 * @author makejava
 * @since 2024-07-17 16:27:58
 */
@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_ZHFG)
public interface GrzfTjMjMapper {

    /**
     * 新增数据
     *
     * @param GrzfTjMj 实例对象
     * @return 影响行数
     */
    int insert(GrzfTjMj GrzfTjMj);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<GrzfTjMj> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<GrzfTjMj> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<GrzfTjMj> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<GrzfTjMj> entities);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 修改数据
     *
     * @param GrzfTjMj 实例对象
     * @return 影响行数
     */
    int update(GrzfTjMj GrzfTjMj);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    GrzfTjMj selectById(Integer id);

}

