package com.coob.sjts.modules.zhfg.mapper;


import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.zhfg.domain.wk.SgKfjdyj;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
 * (SgKfjdyj)表数据库访问层
 *
 * @author makejava
 * @since 2023-11-22 09:04:24
 */
@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_ZHFG)
public interface WkSgKfjdyjMapper {


    /**
     * 根据月份统计提报投资情况
     * @param
     * @return
     */
     List<SgKfjdyj> selectTzByYd(Integer month);

     List<SgKfjdyj> selectXsByYd(Integer month);

     List<SgKfjdyj> selectTgByYd(Integer month);

     List<SgKfjdyj> selectXm();



}

