package com.coob.sjts.modules.zhfg.mapper;

import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.zhfg.domain.wk.XmXmsc;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
* @author rongb
* @description 针对表【xm_xmsc】的数据库操作Mapper
* @createDate 2023-11-14 10:34:28
* @Entity com.coob.modules.zhfg.domain.XmXmsc
*/
@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_ZHFG)
public interface WkXmXmscMapper {


    List<XmXmsc> selectByQyid(Integer qyid);

    List<XmXmsc> selectAllList();


    List<XmXmsc> selectByOldId(Integer oldId);


    XmXmsc selectByXmid(String xmid);

}




