package com.coob.sjts.modules.zhfg.service.wk;

import com.coob.sjts.modules.zhfg.domain.wk.XmXmsc;
import com.coob.sjts.modules.zhfg.mapper.WkXmXmscMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
* @author rongb
* @description 针对表【xm_xmsc】的数据库操作Service实现
* @createDate 2023-11-14 10:34:28
*/
@Service
public class WkXmXmscService {

    @Resource
    private WkXmXmscMapper wkXmscMapper;

    public List<XmXmsc> selectByQyid(Integer qyid){

        return this.wkXmscMapper.selectByQyid(qyid);
    }

    public XmXmsc selectByXmid(String xmid){
        return this.wkXmscMapper.selectByXmid(xmid);
    }

    public List<XmXmsc> selectAllList(){
        return this.wkXmscMapper.selectAllList();
    }


    public List<XmXmsc> selectByOldId(Integer oldId){
        return this.wkXmscMapper.selectByOldId(oldId);
    }


}




