package com.coob.sjts.common.stUtil.config;

import com.fasterxml.jackson.databind.ObjectMapper;

import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.atomic.AtomicLong;


/**
 * 省厅数据平台推送请求配置
 */
public class StSjtsConfig {

    /**
     * 超时时间
     */
    public static final int MAX_TIMEOUT = 304000;
    /**
     * 最大连接数
     */
    public static final int MAX_TOTAL = 10;
    /**
     * 每个路由基础的连接数
     */
    public static final int ROUTE_MAX_TOTAL = 30;
    /**
     * 重试次数
     */
    public static final int MAX_RETRY = 5;


    /**
     * 用来控制每天上报的批次顺序号，todo 请根据自己的也是修改
     */
    public static Map<String, AtomicLong> atomicLongMap = new HashMap();

    /**
     * 序列化工具
     */
    public static ObjectMapper mapper = new ObjectMapper();







}
