package com.coob.sjts.common.stUtil.dto;

import lombok.Data;

/**
 * 文件总纲信息
 *
 * @author ws
 * @date 2023/12/18
 */
@Data
public  class FileCtls {
    /**
     * 文件
     */
    private FileCtl file;


    @Data
    public static class FileCtl {
        /**
         * 数据文件名
         */
        private String filename;

        /**
         * 数据单元记录数
         */
        private String recordnum;
        /**
         * sm3 签名
         */
        private String signature;
        /**
         * 编码类型 utf8
         */
        private String encoding;
    }
}


