package com.coob.sjts.modules.mis.bo;

import java.io.Serializable;

/**
 * @author : wanwgqingli
 * @Description: 在建在售房屋统计
 * <p>
 * 统计在建在售项目数、楼幢数，房屋总套数、总面积，住宅总套数、总面积；
 * 统计已销售总套数、总面积，住宅总套数、总面积；
 * 统计库存房屋总套数、总面积，住宅库存总套数、总面积
 * @date 2024-07-18-11:09
 * @modify by：wanwgqingli
 */
public class ZjzsHouseBo  implements Serializable {
    private Integer xmzs;       // 在建在售项目总数
    private Integer lzs;        // 楼幢总数
    private Integer zts;        // 总套数
    private Integer zmj;        // 总面积
    private Integer zzts;       // 住宅套数
    private Integer zzmj;       // 住宅面积
    private Integer xszts;      // 销售总套数
    private Integer xszmj;      // 销售总面积
    private Integer xszzts;     // 销售住宅总套数
    private Integer xszzmj;     // 销售住宅总面积
    private Integer kczts;      // 库存总套数
    private Integer kczmj;      // 库存总面积
    private Integer kczzts;     // 库存住宅总套数
    private Integer kczzmj;     // 库存住宅总面积

    public Integer getXmzs() {
        return xmzs;
    }

    public void setXmzs(Integer xmzs) {
        this.xmzs = xmzs;
    }

    public Integer getLzs() {
        return lzs;
    }

    public void setLzs(Integer lzs) {
        this.lzs = lzs;
    }

    public Integer getZts() {
        return zts;
    }

    public void setZts(Integer zts) {
        this.zts = zts;
    }

    public Integer getZmj() {
        return zmj;
    }

    public void setZmj(Integer zmj) {
        this.zmj = zmj;
    }

    public Integer getZzts() {
        return zzts;
    }

    public void setZzts(Integer zzts) {
        this.zzts = zzts;
    }

    public Integer getZzmj() {
        return zzmj;
    }

    public void setZzmj(Integer zzmj) {
        this.zzmj = zzmj;
    }

    public Integer getXszts() {
        return xszts;
    }

    public void setXszts(Integer xszts) {
        this.xszts = xszts;
    }

    public Integer getXszmj() {
        return xszmj;
    }

    public void setXszmj(Integer xszmj) {
        this.xszmj = xszmj;
    }

    public Integer getXszzts() {
        return xszzts;
    }

    public void setXszzts(Integer xszzts) {
        this.xszzts = xszzts;
    }

    public Integer getXszzmj() {
        return xszzmj;
    }

    public void setXszzmj(Integer xszzmj) {
        this.xszzmj = xszzmj;
    }

    public Integer getKczts() {
        return kczts;
    }

    public void setKczts(Integer kczts) {
        this.kczts = kczts;
    }

    public Integer getKczmj() {
        return kczmj;
    }

    public void setKczmj(Integer kczmj) {
        this.kczmj = kczmj;
    }

    public Integer getKczzts() {
        return kczzts;
    }

    public void setKczzts(Integer kczzts) {
        this.kczzts = kczzts;
    }

    public Integer getKczzmj() {
        return kczzmj;
    }

    public void setKczzmj(Integer kczzmj) {
        this.kczzmj = kczzmj;
    }
}
