package com.coob.sjts.modules.mis.mapper;


import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.mis.bo.ZjzsHouseBo;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.transaction.annotation.Transactional;

/**
 * 房屋统计
 *
 * @author Awei
 * @since 2023-11-14 17:54:39
 */
@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_MIS)
public interface FgHouseMapper {


    /**
     * 在建在售房屋统计
     * 统计在建在售项目数、楼幢数，房屋总套数、总面积，住宅总套数、总面积；
     * 统计已销售总套数、总面积，住宅总套数、总面积；
     * 统计库存房屋总套数、总面积，住宅库存总套数、总面积。
     */
    ZjzsHouseBo countZjzsFwTj();


}

