package com.coob.sjts.modules.mis.mapper;

import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.mis.domain.sjts.SjtsZjbJgzhmx;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * (SjtsSnXmxx)表数据库访问层
 *
 * @author makejava
 * @since 2024-05-19 15:24:21
 */
@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_MIS)
public interface SjtsZjbJgzhmxMapper {


    /**
     * 新增数据
     * @param zh
     * @return
     */
    int insert(SjtsZjbJgzhmx zh);

    /**
     * 批量新增
     * @param list
     * @return
     */
    int insertBatch(List<SjtsZjbJgzhmx> list);

    /**
     * 修改数据
     * @param zh
     * @return
     */
    int update(SjtsZjbJgzhmx zh);

    /**
     * 批量修改
     * @param list
     * @return
     */
    int updateBatch(List<SjtsZjbJgzhmx> list);

    /**
     * 根据楼xh删除
     * @param xh
     * @return
     */
    int deleteById(String xh);

    /**
     * 删除所有数据
     * @return
     */
    int deleteAll();

    /**
     * 查询所有列表
     * @return
     */
    List<SjtsZjbJgzhmx> selectListAll();
}

