package com.coob.sjts.modules.mis.mapper;

import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.mis.domain.sjts.SjtsZjbWqba;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 *
 *
 * @author makejava
 * @since 2024-05-19 15:24:21
 */
@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_MIS)
public interface SjtsZjbWqbaMapper {

    /**
     * 插入新数据
     * @return
     */
    int insertSelect();

    /**
     * 更新网签备案套数
     * @return
     */
    int updateWqbats();

    /**
     * 更新网签备案 住宅 套数
     * @return
     */
    int updateWqbazzts();

    /**
     * 更新网签备案 商业 面积
     * @return
     */
    int updateWqbasymj();

    /**
     * 更新网签备案 其他 面积
     * @return
     */
    int updateWqbaqtmj();

    /**
     * 更新历史交付套数面积
     * @return
     */
    int updateLjysjfts();


    /**
     * 查询所有数据
     * @return
     */
    List<SjtsZjbWqba> selectLisAll();

}

