package com.coob.sjts.modules.mis.mapper;


import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.mis.domain.wk.YsQyxxb;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_MIS)
public interface YsQyxxMapper {

    /**
     * 根据注册类型查询所有企业信息
     * @return
     */
    List<YsQyxxb> selectAllListByJglx(Integer jglx);

    /**
     * 查询所有开发企业
     * @return
     */
    List<YsQyxxb> selectAllKfqy();

    /**
     * 查询所有企业id大于oldId的企业信息
     * @param oldId
     * @return
     */
    List<YsQyxxb> selectByOldId(Integer oldId);



}




