package com.coob.sjts.modules.mis.mapper;

import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.mis.bo.SjtsFwwqbaBo;
import com.coob.sjts.modules.mis.domain.sjts.SjtsStFwwqba;
import com.coob.sjts.modules.zhfg.domain.zjt.ZjtSpfTj;
import com.coob.sjts.modules.zhfg.domain.zjt.ZjtSpfXiaoshouTj;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * (SjtsSnXmxx)表数据库访问层
 *
 * @author makejava
 * @since 2024-05-19 15:24:21
 */
@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_MIS)
public interface ZjtSpfXsTjMapper {

    /**
     * 获取本月的销售月报
     * @return
     */
    ZjtSpfXiaoshouTj selectByXsyb();

    /**
     * 统计房屋信息
     * @return
     */
    ZjtSpfTj countFwtj();

    /**
     * 统计农房村数量
     * @return
     */
    int countNfc();

    /**
     * 统计农村房套数  面积
     * @return
     */
    ZjtSpfTj countNcfxx();


}

