package com.coob.sjts.modules.mis.service.sjts;



import com.coob.sjts.common.stUtil.SjtsCreateXhUtils;
import com.coob.sjts.common.utils.DateUtil;
import com.coob.sjts.modules.mis.domain.sjts.SjtsStWqba;
import com.coob.sjts.modules.mis.mapper.SjtsStWqbaMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * (SjtsSnXmxx)表服务实现类
 *
 * @author makejava
 * @since 2024-05-19 15:24:23
 */
@Service
public class SjtsStWqbaService {


    @Resource
    private SjtsStWqbaMapper sjtsStWqbaMapper;


    public int impWqba(){
        int flag = 0;


        flag = sjtsStWqbaMapper.insertSelectYs();
        System.out.println("省厅 网签备案  预售证备案信息导入  更新数量："+flag);

        flag = sjtsStWqbaMapper.insertSelectXs();
        System.out.println("省厅 网签备案  现售证备案信息导入 更新数量："+flag);

        flag = sjtsStWqbaMapper.updateBa();
        System.out.println("省厅 网签备案  总备案信息导入  更新数量："+flag);

        flag = sjtsStWqbaMapper.updateZzba();
        System.out.println("省厅 网签备案  住宅备案信息导入  更新数量："+flag);

        flag = sjtsStWqbaMapper.updateSyba();
        System.out.println("省厅 网签备案  商业备案信息导入  更新数量："+flag);

        flag = sjtsStWqbaMapper.updateQtmj();
        System.out.println("省厅 网签备案  备案其他面积信息导入  更新数量："+flag);

        flag = sjtsStWqbaMapper.updateBnba();
        System.out.println("省厅 网签备案  本年备案信息导入  更新数量："+flag);

        flag = sjtsStWqbaMapper.updateBnZZba();
        System.out.println("省厅 网签备案  本年住宅备案信息导入  更新数量："+flag);

        flag = sjtsStWqbaMapper.updateBnSYba();
        System.out.println("省厅 网签备案  本年商业备案信息导入  更新数量："+flag);

        flag = sjtsStWqbaMapper.updateLsjf();
        System.out.println("省厅 网签备案  交付楼幢历史交付套数导入  更新数量："+flag);


        return 1;
    }





   /**
     * 更新推送时间，推送状态为2
     * @param tssj
     * @return
     */
    public int uppdateTsztOrTssj( ) {
        return sjtsStWqbaMapper.uppdateTsztOrTssj();
    }


    /**
     * 查询所有的网签列表
     * @return
     */
    public List<SjtsStWqba> selectAllList() {
        return sjtsStWqbaMapper.selectAllList();
    }

    /**
     * 查询未推送的网签备案信息，并设置数据生成时间以及序号
     * @return
     */
    public List<SjtsStWqba> selectListByWTs() {
        List<SjtsStWqba> sjtsStWqbas = sjtsStWqbaMapper.selectListByWTs();
        String _date = DateUtil.getCurDateStr("yyyyMMddHHmmss");
        for (SjtsStWqba sjtsStWqba : sjtsStWqbas) {

            sjtsStWqba.setYsxkzbm(SjtsCreateXhUtils.createYsxkzbm(sjtsStWqba.getYsxkzbm()));
            sjtsStWqba.setXh(SjtsCreateXhUtils.createXh(sjtsStWqba.getXh()));
            sjtsStWqba.setSjscsj(_date);
            sjtsStWqba.setSjgxsj("");
        }

        return sjtsStWqbas;
    }



}
