package com.coob.sjts.modules.mis.service.wk;

import com.coob.sjts.modules.mis.domain.wk.YsQyxxb;
import com.coob.sjts.modules.mis.mapper.YsQyxxMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
* @author rongb
* @description 针对表【YS_HTLSB】的数据库操作Service实现
* @createDate 2023-11-14 10:29:48
*/
@Service
public class YsQyxxbService {

    @Resource
    private YsQyxxMapper ysQyxxMapper;


    /**
     * 查询所有的开发商企业信息
     * @return
     */
    public List<YsQyxxb> selectAllListByJglx(Integer jglx) {
        return this.ysQyxxMapper.selectAllListByJglx(jglx);
    }

    public List<YsQyxxb> selectAllKfqy() {
        return this.ysQyxxMapper.selectAllKfqy();
    }

    public List<YsQyxxb> selectByOldId(Integer oldId) {
        return this.ysQyxxMapper.selectByOldId(oldId);
    }

}




