package com.coob.sjts.modules.mis.service.wk;

import com.coob.sjts.modules.mis.domain.wk.YsQyzzqk;
import com.coob.sjts.modules.mis.mapper.YsQyzzqkMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * 注册开发商资质情况(YsQyzzqk)表服务实现类
 *
 * @author Awei
 * @since 2023-11-15 17:22:38
 */
@Service
public class YsQyzzqkService{

    @Resource
    private YsQyzzqkMapper yqzzqkMapper;


    public YsQyzzqk selectByQyid(Integer qyid){
        return this.yqzzqkMapper.selectByQyid(qyid);

    }

    public List<YsQyzzqk> selectAllList(){
        return this.yqzzqkMapper.selectAllList();
    }

    public List<YsQyzzqk> selectByOldId(Integer oldId){
        return this.yqzzqkMapper.selectByOldId(oldId);
    }


}
