package com.coob.sjts.modules.mis.service.wk;

import com.coob.sjts.modules.mis.domain.sjts.SjtsStXmxx;
import com.coob.sjts.modules.mis.domain.wk.YsXmtd;
import com.coob.sjts.modules.mis.mapper.YsXmtdMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * (YsXmtd)表服务实现类
 *
 * @author Awei
 * @since 2023-11-14 17:50:01
 */
@Service
public class YsXmtdService{

    @Resource
    private YsXmtdMapper ysxmtdMapper;


    public List<YsXmtd> selectByQyid(Integer qyid) {
        return this.ysxmtdMapper.selectByQyid(qyid);
    }


    public List<YsXmtd> selectAll() {
        return this.ysxmtdMapper.selectAllList();
    }



    public List<YsXmtd> selectByOldId(Integer oldId) {
        return this.ysxmtdMapper.selectByOldId(oldId);
    }

    public List<SjtsStXmxx> selectZshByXmid( ) {
        return this.ysxmtdMapper.selectZshByXmid();
    }
}
