package com.coob.sjts.modules.zhfg.domain.zjt;

import lombok.Data;

import java.math.BigDecimal;
import java.io.Serializable;

/**
 * 商品房统计(ZjtSpfTj)实体类
 *
 * @author makejava
 * @since 2024-06-12 09:49:43
 */

@Data
public class ZjtSpfTj implements Serializable {
    private static final long serialVersionUID = -41761350742016059L;
    
    private Integer id;
    /**
     * 总套数

     */
    private Integer zts;
    /**
     * 总面积

     */
    private BigDecimal zmj;
    /**
     * 总套数-住宅
     */
    private Integer ztsz;
    /**
     * 总面积-住宅
     */
    private BigDecimal zmjz;
    /**
     * 销售套数
     */
    private Integer xsts;
    /**
     * 销售面积
     */
    private BigDecimal xsmj;
    /**
     * 销售套数-住宅
     */
    private Integer xstsz;
    /**
     * 销售面积-住宅
     */
    private BigDecimal xsmjz;
    /**
     * 库存套数
     */
    private Integer kcts;
    /**
     * 库存面积
     */
    private BigDecimal kcmj;
    /**
     * 库存套数-住宅
     */
    private Integer kctsz;
    /**
     * 库存面积-住宅
     */
    private BigDecimal kcmjz;
    /**
     * 月销售面积（最近12个月平均销售面积）
     */
    private BigDecimal yxsmj;
    /**
     * 月销售面积-住宅（最近12个月平均销售面积）
     */
    private BigDecimal yxsmjz;
    /**
     * 总库存去化周期
     */
    private Integer qhzq;
    /**
     * 住宅库存去化周期-住宅
     */
    private Integer qhzqz;
    /**
     * 农房村 数量
     */
    private Integer csnf;
    /**
     * 农房村 总套数
     */
    private Integer ztsnf;
    /**
     * 农房村 总面积
     */
    private BigDecimal zmjnf;
    /**
     * 推送时间 yyyy-MM-dd  HH:mm:ss
     */
    private String tssj;



}

