package com.coob.sjts.modules.zhfg.mapper;


import com.coob.sjts.datasource.constant.DBConstants;
import com.coob.sjts.modules.zhfg.domain.zjt.ZjtSpfTj;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 商品房统计(ZjtSpfTj)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-12 09:49:43
 */
@Mapper
@Transactional(transactionManager = DBConstants.TX_MANAGER_ZHFG)
public interface ZjtSpfTjMapper {

    /**
     * 修改统计信息
     * @param zjtSpfTj
     * @return
     */
    int update(ZjtSpfTj zjtSpfTj);


    /**
     * 统计销售信息
     * @return
     */
    ZjtSpfTj countXsTj();

}

